Skip to main content
GET
/
v1
/
files
/
{file_id}
/
download
Download a file
curl --request GET \
  --url https://api.sandbox.trycollate.ai/v1/files/{file_id}/download \
  --header 'Authorization: Bearer <token>'
{
  "error": {
    "code": "auth_provider_unavailable",
    "message": "<string>",
    "retryable": false,
    "details": {},
    "issues": [
      {
        "errorType": "<string>",
        "location": [
          "<string>"
        ],
        "message": "<string>"
      }
    ]
  },
  "requestId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.trycollate.ai/llms.txt

Use this file to discover all available pages before exploring further.

Most integrations use the downloadUrl returned on the file object instead of constructing this URL directly. The file must be ready.

Returns

Returns the file bytes with the stored content type and content disposition. Returns 409 file_not_ready if the upload has not completed.

Authorizations

Authorization
string
header
default:your-api-key
required

API key passed as Authorization: Bearer <API_KEY>.

Path Parameters

file_id
string
required

File ID returned by POST /v1/files.

Response

Successful Response